<!DOCTYPE html>
<html lang="en">
<head>
  <title>67.S10</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script>
      $(document).ready(function(){
        var voucherTable = $("#voucher-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "maVoucher" },
              { "data" : "phanTramGiamGia" },
              { "data" : "ghiChu" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/vouchers",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                voucherTable.clear();

                //Cập nhật data cho bảng 
                voucherTable.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                voucherTable.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

        var menuTable = $("#menu-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "maSanPham" },
              { "data" : "tenSanPham" },
              { "data" : "giaTien" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/menu",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                menuTable.clear();

                //Cập nhật data cho bảng 
                menuTable.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                menuTable.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

        var drinkTable = $("#drink-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "maNuocUong" },
              { "data" : "tenNuocUong" },
              { "data" : "donGia" },
              { "data" : "ngayTao" },
              { "data" : "ngayCapNhat" }
          ]
        });

        $.ajax({
            url: "http://localhost:8080/drinks",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                drinkTable.clear();

                //Cập nhật data cho bảng 
                drinkTable.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                drinkTable.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

        var customerTable = $("#customer-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "fullname" },
              { "data" : "email" },
              { "data" : "phone" },
              { "data" : "address" },
              
          ]
        });

        $.ajax({
            url: "http://localhost:8080/customers",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                customerTable.clear();

                //Cập nhật data cho bảng 
                customerTable.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                customerTable.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

        var orderTable = $("#order-table").DataTable( {
          // Khai báo các cột của datatable (Chú ý tên cột phải giống thuộc tính của object trong mảng đã khai báo)
          "columns" : [
              { "data" : "id" },
              { "data" : "orderCode" },
              { "data" : "pizzaSize" },
              { "data" : "pizzaType" },
              { "data" : "voucherCode" },
              { "data" : "price" },
              { "data" : "paid" }
              
          ]
        });
        
        $.ajax({
            url: "http://localhost:8080/orders?customerId=1",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                orderTable.clear();

                //Cập nhật data cho bảng 
                orderTable.rows.add(responseObject);

                //Cập nhật lại giao diện hiển thị bảng
                orderTable.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
      });
  </script>
</head>
<body>
<!-- voucher table -->
<div class="container">
  <h2 style="text-align: center;">Danh sách voucher</h2>
  <table class="table table-bordered table-striped table-hover" id="voucher-table">
    <thead>
      <tr>
        <th>STT</th>
        <th>Mã giảm giá</th>
        <th>Phần trăm giảm giá</th>
        <th>Ghi Chú</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>
</div>
<!-- menu table-->
<div class="container">
  <h2 style="text-align: center;">Menu combo</h2>
  <table class="table table-bordered table-striped table-hover" id="menu-table">
    <thead>
      <tr>
        <th>STT</th>
        <th>Mã combo</th>
        <th>Tên combo</th>
        <th>Gía tiền</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>
</div>
<!-- drink table -->
<div class="container">
  <h2 style="text-align: center;">Danh sách đồ uống</h2>
  <table class="table table-bordered table-striped table-hover" id="drink-table">
    <thead>
      <tr>
        <th>STT</th>
        <th>Mã nước uống</th>
        <th>Tên nước uống</th>
        <th>Đơn giá</th>
        <th>Ngày tạo</th>
        <th>Ngày cập nhật</th>
      </tr>
  </table>
</div>
<!-- customer table-->
<div class="container">
  <h2 style="text-align: center;">Danh sách khách hàng</h2>
  <table class="table table-bordered table-striped table-hover" id="customer-table">
    <thead>
      <tr>
        <th>STT</th>
        <th>Họ tên</th>
        <th>Email</th>
        <th>Điện thoại</th>
        <th>Địa chỉ</th>
        
      </tr>
  </table>
</div>

<!-- order table-->
<div class="container">
  <h2 style="text-align: center;">Danh sách đơn hàng của khách hàng ID 1</h2>
  <table class="table table-bordered table-striped table-hover" id="order-table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Mã đơn hàng</th>
        <th>Size Pizza</th>
        <th>Loại Pizza</th>
        <th>Mã giảm giá</th>
        <th>Đơn giá</th>
        <th>Thành tiền</th>
      </tr>
  </table>
</div>

</body>
</html>
​
